---
title: Professional Services
suppress_header: true
description: "Need help installing, upgrading, or migrating to GitLab? We can help with migration services or simply upgrading your current instance."
canonical_path: "/services/"
extra_css:
  - services.css
extra_js:
  - services.js
---

.blank-header
  = image_tag "/images/home/icons-pattern-left.svg", class: "image-border image-border-left", alt: "Gitlab hero border pattern left svg"
  = image_tag "/images/home/icons-pattern-right.svg", class: "image-border image-border-right", alt: "Gitlab hero border pattern right svg"
  .flex-container.flex-column.justify-center.align-center
    %h1 GitLab Professional Services
    %p Reduce time to market by accelerating the adoption of modern software delivery methods.
    %h2 Technology is only as powerful as your ability to use it.
    .flex-container.buttons-container.margin-top20
      = link_to "Get in touch", "#contactform", class: "btn cta-btn accent"
      .btn.cta-btn.btn-white.flex-container.align-center#video-button
        .i.fas.fa-play.play-icon
        Watch the Video

.iframe-container#iframe-container
  %iframe#iframe-video{src: "", frameborder: "0", width: "560", height: "315"}

.services-page#offerings
  .page-container.container.services-block
    .row
      - data.services_categories.sort_by{ |i| i.id }.each_with_index do |service, index|
        .col-md-5{:class => ("col-md-offset-1" unless index.to_i.odd?)}
          .service-item
            .service-icon
              = partial "includes/icons/#{service.icon}"
            .service-name #{service.name}
            .service-description
              %p #{service.desc}
              %a.btn.cta-btn.purple{ href: "#{service.href}" } Learn More

.services-form#contactform
  .page-container.container.text-center
    %h2 Interested in GitLab Professional Services? Get in touch.
    %script{src: "//page.gitlab.com/js/forms2/js/forms2.min.js"}
    %form#mktoForm_1476
    :javascript
      MktoForms2.setOptions(
      {
        formXDPath : "/rs/194-VVC-221/images/marketo-xdframe-relative.html"
      });
      MktoForms2.loadForm("//page.gitlab.com", "194-VVC-221", 1476, function(form) {
        form.onSuccess(function(values, followUpUrl) {

          dataLayer.push(
          {
            'event' : 'services', 
            'mktoFormId' : form.getId(),
            'eventCallback' : function()
            {
              form.getFormElem().hide();
              $('#confirmform').attr('style', 'visibility: visible');
            }, 'eventTimeout' : 3000
          });

          return false;
        });
      });
    #confirmform{style: "visibility:hidden;"}
      %p Submission received! We'll be in contact shortly.
